From 36e299ccb1040c10094b7e8c901a8b966095ecfd Mon Sep 17 00:00:00 2001
From: grizzlyuser <grizzlyuser@protonmail.com>
Date: Aug 01 2023 20:30:44 +0000
Subject: [PATCH 32/32] libre/iceweasel: 116.0, only upstream changes


Please note, build for x86_64 required 50+ GB of (RAM + SWAP).
This is probably due to the full LTO enabled by Arch Linux. Based on my
monitoring, memory usage does not go over 15 GB most of the build time,
but increases significantly towards the end of the build.

---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index eede40c..e6ff7b8 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -70,7 +70,7 @@
 
 pkgname=iceweasel
 epoch=1
-pkgver=115.0.2
+pkgver=116.0
 pkgrel=1
 pkgrel+=.parabola1
 _brandingver=115.0
@@ -179,13 +179,13 @@ validpgpkeys+=(
   'BFA8008A8265677063B11BF47171986E4B745536' # Andreas Grapentin
   '3954A7AB837D0EA9CFA9798925DB7D9B5A8D4B40' # bill-auger
 )
-sha256sums=('6b2844124c13b4bd9d97ac7f5840f3e957b7631659591f3bea1ac9a89bee1654'
+sha256sums=('215d076945bf744327a252f498227ab68e9ba4e3b703e058683d9e4ab92cba76'
             'SKIP'
             '9cdc2602661717712092d28bb494e5b48e518cb930898aca85eaf21f91f7ef58')
 sha256sums+=('b701b4c47fca2661feeabe172e398c76c8015ee08ff4cc3cc2f7c3ef2ed692a7'
              'SKIP'
-             'e90da1ee4fed83e8e40898f5f87b3f1534af50e253409539cd4b4635e14800eb'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
-             '131acdeff2af06c07f245717cd7cb898291f4466136f441b7b90acb2ccdade0a'  # 9002-FSDG-preference-defaults.patch
+             'd8f9a78c06bac7e444dd2c98e4ae493583d9286cf21aef6adfe93ef801287eeb'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
+             '48813738459b55d8b5d61eb553ef838dbd0dd4fcdba4398c2cb1c245925be2b7'  # 9002-FSDG-preference-defaults.patch
              '13b701372b6fb35b96a1d58853db64643feb9be061ebc461b41ceca5de8eea62'  # 9003-FSDG-urihandlers.patch
              'f01c4bda81b859f400c741ca97fcf945a768a799efe73943f45eb327d717eaa2'  # 9004-FSDG-misc.patch
              '00cb44a91b42942f17258ad165810866ff123777b667a5691ea0745ba72f4332'  # process-json-files.py
@@ -197,13 +197,13 @@ sha256sums_i686=('2f0c81a38c4578f68f5456b618fe84a78974072821488173eb55e0e72287e3
                  'ed3bb281697af7c4353a34067ffb4b18a971d40757bef2d6af3c8bf2d28d42d1'
                  '2fb39374fd3d80eea9e346032a2a4b2bc2e357dee7380855b24bcf19b1335d06'
                  'c3ce181fbb0142055aa6dd17f3cda2ba6a1e54d7a689a8c6e9cce76aa40e6544')
-b2sums=('ca602d102f2b7b7fc7bebb6ca4b21e548d4542727da94410497ad6774b6dc7a9eba778c9b6e269beabdbf647e3447f621103cb68fbcac77c4beca1829cbfc535'
+b2sums=('844f37e6f1f0947771a5e9a629ad44c04733906cb5922d5541ec12c4193dee4307cd435c381a97ce4ff20be1f31200a0c13c6e33a0308fcab9ce16b1327723c1'
         'SKIP'
         'f86353bbba05d8994db34c6abb66094aa61d2c37c8599930dbe9d215413f0f718a1ce55a8f2d07a65074c3947e28fc80d44c925bd9be239a870f82d2a1803635')
 b2sums+=('a22044292e464b3922eb2e4a8cf0993524d232eeb4a8602707589d00f690498d3b76e515c8d0ce4995b3bf8a65df9aa814b49de469178aa1f8cc07ec19dd5d32'
          'SKIP'
-         'ed3eb1c8aba0e6302058a361431b5dd411ff4ff74587c2305279ef30b4d19fae9e8c97c029513a8a091384278a0930a950fb37d9cffc5713de58d1a7e289bf57'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
-         'fc2204d183cf8ef133cb94580a92db26356edb069424e751743b2af349f115fb6069f0e3fe860496e05193cb0ca3dcb9aa5869c86d5c96c05a6eaec5242f8a35'  # 9002-FSDG-preference-defaults.patch
+         'c2f3df87a04b04740181eaedd1b6bf6606c03c926c82a02a07e7aad0843d748406d4be9980f4b966792fb79802e6d935c4493c208d238333fceea221a4ed058d'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
+         '0220e899506fefa2b6e5de5192c4b56f824b3a9340fb33ea6f3062fa57ff0c91c8c084df4a9761eb102fdab359b1282888bc3138733b581043a8b5b5138628b4'  # 9002-FSDG-preference-defaults.patch
          '9e4ccfb8850d9f9a5222f5186b35f2ae7986b6c6d435de024b109a6fa01e65a1362664cfb6ea81621387cf33364cc8d3d466fae1bee24ab5fc7e23c4cb17bf2c'  # 9003-FSDG-urihandlers.patch
          '2213f136bb3c66baed52bbff1c09f3d883c5e9bb0b06d9d0777ad718fcd55ce68a5f512d4cca796de78d254aba1078d0d254070e79275571e3d94aacbbb8556f'  # 9004-FSDG-misc.patch
          '085c4631ec8cfdf5842068d882185c783e976b1fde74167bb71ef4d7db8c70c12844177b17e76f858ba3ce2a402848ac8fc19910dcbefd29887abfaf5faac5e4'  # process-json-files.py
@@ -787,7 +787,7 @@ END
 
     echo "Building optimized browser..."
     cat >.mozconfig ../mozconfig - <<END
-ac_add_options --enable-lto=cross
+ac_add_options --enable-lto=cross,full
 ac_add_options --enable-profile-use=cross
 ac_add_options --with-pgo-profile-path=${PWD@Q}/merged.profdata
 ac_add_options --with-pgo-jarlog=${PWD@Q}/jarlog

